#1352 closed enhancement (fixed)

MVME2700 BSP Patches

Reported by: Matt Rippa Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: bsps Version: 4.9
Severity: minor Keywords:
Cc: mrippa@… Blocked By:
Blocking:

Description

I'd like to report a new bsp is working and running EPICS. I've
attached the patches needed. I did remove what appears to be a
bug in motorola.c. On line 343 the following code always returned
the first board entry. Removing this allowed all entries to be
queried.

if (mot_boards[entry].base_type == 0) {

mot_entry = entry;
break;

}

---
It's been discussed to *not* make this a special bsp as it effectively builds
like a 2300/2400. However, I've included all patches.

Thanks,
-Matt

  1. motorola.c attached
  1. irq_init.c

--- /tmp/rtems-4.9.1/c/src/lib/libbsp/powerpc/shared/irq/irq_init.c 2008-08-19 22:51:48.000000000 -1000
+++ c/src/lib/libbsp/powerpc/shared/irq/irq_init.c 2009-01-06 17:09:25.000000000 -1000
@@ -290,6 +290,10 @@

/* nothing to do for W83C553 bridge */
known_cpi_isa_bridge = 1;

}

+ if ( currentBoard == MVME_2600_2700_W_MVME761 ) {
+ /* nothing to do for W83C553 bridge */
+ known_cpi_isa_bridge = 1;
+ }

if ( currentBoard == MTX_WO_PP
currentBoard == MTX_W_PP ) {

/* W83C554, don't to anything at the moment. gregm 11/6/2002 */
known_cpi_isa_bridge = 1;

3.
configure.patch
--- /tmp/rtems-4.9.1/c/configure 2008-12-12 06:30:47.000000000 -1000
+++ c/configure 2009-01-06 14:20:58.000000000 -1000
@@ -2556,7 +2556,7 @@

gen5200) bsps="pm520_cr825 pm520_ze30 brs5l icecube";;
mpc55xxevb) bsps="mpc5566evb";;
gen83xx) bsps="mpc8349eamds hsc_cm01 mpc8313erdb";;

  • motorola_powerpc) bsps="mvme2307 mcp750 mtx603e mvme2100";;

+ motorola_powerpc) bsps="mvme2307 mcp750 mtx603e mvme2100 mvme2700";;

pc386) bsps="pc386 pc386dx pc486 pc586 pc686 pck6";;
erc32) bsps="erc32 sis";;
rtl22xx) bsps="rtl22xx rtl22xx_t)";;

@@ -2630,6 +2630,7 @@

mvme162lx) rtems_bsp_family=mvme162 ;; # m68k - mvme162 board variant
mvme2100) rtems_bsp_family=motorola_powerpc ;; # Motorola PPC board variant
mvme2307) rtems_bsp_family=motorola_powerpc ;; # Motorola PPC board variant

+ mvme2700) rtems_bsp_family=motorola_powerpc ;; # Motorola PPC board variant

p4600) rtems_bsp_family=p4000 ;; # mips - p4000 board w/IDT 4600
p4650) rtems_bsp_family=p4000 ;; # mips - p4000 board w/IDT 4650
pc386dx) rtems_bsp_family=pc386 ;; # i386 - PC w/o FPU

  1. make/custom/mvme2700.cfg was copied from make/custom/mvme2307.cfg

Attachments (1)

motorola.c.patch (2.5 KB) - added by Matt Rippa on Jan 7, 2009 at 8:40:48 PM.
Patch for motorola.c to include mvme2600/2700

Download all attachments as: .zip

Change History (3)

Changed on Jan 7, 2009 at 8:40:48 PM by Matt Rippa

Attachment: motorola.c.patch added

Patch for motorola.c to include mvme2600/2700

comment:1 Changed on Jan 7, 2009 at 8:43:11 PM by Matt Rippa

Cc: Matt Rippa added
Milestone: 4.104.9
rep_platform: Allpowerpc

comment:2 Changed on Feb 11, 2009 at 3:37:57 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch committed to 4.9 branch and cvs head. Thanks.

Note: See TracTickets for help on using tickets.